package cn.hmsoft.helper.qrcode;

import java.io.File;

public class QrCodeEntity {
	/*********************
	 * QR图片宽度
	 */
	private int qrWidth = 240;
	/*******************
	 * 二维码高度
	 */
	private int qrHeight = 240;
	/*****************
	 * 二维码图片和边框的间距
	 */
	private int qrMargin = 0;
	/*******************
	 * 二维码里内容
	 */
	private String qrContent;
	/*******************
	 * 中间图片高度
	 */
	private int imageWidth = 48;
	/*********************
	 * 中间图片高度
	 */
	private int imageHeight = 48;
	/**********************
	 * 中间的图片
	 */
	private File scaleImage;

	public int getQrWidth() {
		return qrWidth;
	}

	public void setQrWidth(int qrWidth) {
		this.qrWidth = qrWidth;
	}

	public int getQrHeight() {
		return qrHeight;
	}

	public void setQrHeight(int qrHeight) {
		this.qrHeight = qrHeight;
	}

	public int getQrMargin() {
		return qrMargin;
	}

	public void setQrMargin(int qrMargin) {
		this.qrMargin = qrMargin;
	}

	public String getQrContent() {
		return qrContent;
	}

	public void setQrContent(String qrContent) {
		this.qrContent = qrContent;
	}

	public int getImageWidth() {
		return imageWidth;
	}

	public void setImageWidth(int imageWidth) {
		this.imageWidth = imageWidth;
	}

	public int getImageHeight() {
		return imageHeight;
	}

	public void setImageHeight(int imageHeight) {
		this.imageHeight = imageHeight;
	}

	public File getScaleImage() {
		return scaleImage;
	}

	public void setScaleImage(File scaleImage) {
		this.scaleImage = scaleImage;
	}

}
